#include "locmin.h"
#include <iostream>
#include <climits>
#include <algorithm>
using namespace std;

#define MAXM 500

int v[MAXM+1];

pair<int,int> find_locmin_point(int N,int M){
  int l,c,bestl=1,bestc;
  long long minval=LLONG_MAX;

  for(c=1;c<=M;c+=2){
    long long val=value(1,c);
    if(val<minval){
      minval=val;
      bestc=c;
    }
  }

  return {bestl,bestc};
}
